Contents

# Join Function

Returns a string from a number of substrings in a string array.

### Syntax:

    Join (SourceArray As Object, delimiter As String) As String

### Return type:

String

### Parameters:

SourceArray: A string array.

delimiter: An optional string character that is used to separate the substrings in the resulting string. The default delimiter is the space character. If Delimiter is a string of length zero "", the substrings are joined without separator.

### Example:

    Dim a(3)
    Sub main()
        a(0) = "ABCDE"
        a(1) = 42
        a(2) = "MN"
        a(3) = "X Y Z"
        JStr = Join1()
        Call Show(JStr, Split1(JStr))
        JStr = Join2()
        Call Show(JStr, Split1(JStr))
        JStr = Join3()
        Call Show(JStr, Split1(JStr))
    End Sub

    Function Join1()
        Join1 = Join(a(), "abc")
    End Function

    Function Join2()
        Join2 = Join(a(), ",")
    End Function

    Function Join3()
        Join3 = Join(a())
    End Function

    Function Split1(aStr)
        Split1 = Split(aStr, "D")
    End Function

    Sub Show(JoinStr, TheArray)
        l = LBound(TheArray)
        u = UBound(TheArray)
        total$ = "=============================" + Chr$(13) + JoinStr + Chr$(13) + Chr$(13)
        For i = l To u
            total$ = total$ + TheArray(i) + Str(Len(TheArray(i))) + Chr$(13)
        Next i
        MsgBox total$
    End Sub

Related Topics

String functions